Authenticator
Date: 2016-06-24

java.net

## Class Authenticator

- java.lang.Object
- - java.net.Authenticator

-     public abstract class Authenticator
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Authenticator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected PasswordAuthentication` | `getPasswordAuthentication()`
    `protected String` | `getRequestingHost()`
    `protected int` | `getRequestingPort()`
    `protected String` | `getRequestingPrompt()`
    `protected String` | `getRequestingProtocol()`
    `protected String` | `getRequestingScheme()`
    `protected InetAddress` | `getRequestingSite()`
    `static PasswordAuthentication` | `requestPasswordAuthentication(InetAddress var0, int var1, String var2, String var3, String var4)`
    `static PasswordAuthentication` | `requestPasswordAuthentication(String var0, InetAddress var1, int var2, String var3, String var4, String var5)`
    `static void` | `setDefault(Authenticator var0)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Authenticator

          public Authenticator()

  - ### Method Detail

    - #### getPasswordAuthentication

          protected PasswordAuthentication getPasswordAuthentication()

    - #### getRequestingHost

          protected final String getRequestingHost()

    - #### getRequestingPort

          protected final int getRequestingPort()

    - #### getRequestingPrompt

          protected final String getRequestingPrompt()

    - #### getRequestingProtocol

          protected final String getRequestingProtocol()

    - #### getRequestingScheme

          protected final String getRequestingScheme()

    - #### getRequestingSite

          protected final InetAddress getRequestingSite()

    - #### requestPasswordAuthentication

          public static PasswordAuthentication requestPasswordAuthentication(String var0,
                                                             InetAddress var1,
                                                             int var2,
                                                             String var3,
                                                             String var4,
                                                             String var5)

    - #### requestPasswordAuthentication

          public static PasswordAuthentication requestPasswordAuthentication(InetAddress var0,
                                                             int var1,
                                                             String var2,
                                                             String var3,
                                                             String var4)

    - #### setDefault

          public static void setDefault(Authenticator var0)